import request from '@/utils/request'

// 查询送检信息列表
export function listInspectInfor(query) {
  return request({
    url: '/system/inspectInfor/list',
    method: 'get',
    params: query
  })
}

// 查询送检信息详细
export function getInspectInfor(inspectId) {
  return request({
    url: '/system/inspectInfor/' + inspectId,
    method: 'get'
  })
}

// 生产报告
export function addInspectInfor(data) {
  return request({
    url: '/system/reportDetail',
    method: 'post',
    data: data
  })
}

export function getInspectInfors(inspectId) {
  return request({
    url: '/system/reportDetail/' + inspectId,
    method: 'get'
  })
}

// 修改送检信息
export function updateInspectInfor(data) {
  return request({
    url: '/system/inspectInfor',
    method: 'put',
    data: data
  })
}

// 删除送检信息
export function delInspectInfor(inspectId) {
  return request({
    url: '/system/inspectInfor/' + inspectId,
    method: 'delete'
  })
}
